xine-lib: xine-lib-1.2.12/src/vdr/combined_vdr.h File Reference

xine-lib 1.2.12

Data Structures | Typedefs | Functions
combined_vdr.h File Reference

Go to the source code of this file.

## Data Structures
struct | vdr_set_video_window_data_s
struct | vdr_frame_size_changed_data_s
struct | vdr_select_audio_data_s

## Typedefs
typedef struct vdr_set_video_window_data_s | vdr_set_video_window_data_t
typedef struct vdr_frame_size_changed_data_s | vdr_frame_size_changed_data_t
typedef struct vdr_select_audio_data_s | vdr_select_audio_data_t

## Functions
static int | vdr_is_vdr_stream (xine_stream_t *stream)
void * | vdr_input_init_plugin (xine_t *xine, const void *data)
void * | vdr_video_init_plugin (xine_t *xine, const void *data)
void * | vdr_audio_init_plugin (xine_t *xine, const void *data)

## Typedef Documentation

## ◆ vdr_frame_size_changed_data_t

typedef struct vdr_frame_size_changed_data_s vdr_frame_size_changed_data_t

## ◆ vdr_select_audio_data_t

typedef struct vdr_select_audio_data_s vdr_select_audio_data_t

## ◆ vdr_set_video_window_data_t

typedef struct vdr_set_video_window_data_s vdr_set_video_window_data_t

## Function Documentation

## ◆ vdr_audio_init_plugin()

void * vdr_audio_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References default_post_class_dispose, N_, NULL, and vdr_audio_open_plugin().

## ◆ vdr_input_init_plugin()

void * vdr_input_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References input_class_s::get_instance, lprintf, N_, NULL, vdr_class_get_autoplay_list(), and vdr_class_get_instance().

## ◆ vdr_is_vdr_stream()

static int vdr_is_vdr_stream | ( | xine_stream_t * | stream | ) |
| inlinestatic

References input_class_s::identifier, input_plugin_s::input_class, and xine_stream_s::input_plugin.

Referenced by vdr_audio_port_put_buffer(), and vdr_video_draw().

## ◆ vdr_video_init_plugin()

void * vdr_video_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References default_post_class_dispose, N_, NULL, and vdr_video_open_plugin().